package wusthelper.web.configure;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@ConfigurationProperties("wusthelper")
public class WusthelperConfigureItems {
    private String passwordEncodeKey;

    private List<RpcModule> rpc;

    @Data
    public static class RpcModule {
        private String name;
        private String address;
    }
}